public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/libcifpp/
Date: Sun, 15 Sep 2024 12:25:20 +0000 (UTC)	[thread overview]
Message-ID: <1726403098.8b7e0f00ee1a89944b33fa769be2f457ddbc9c27.pacho@gentoo> (raw)

commit:     8b7e0f00ee1a89944b33fa769be2f457ddbc9c27
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 15 12:05:46 2024 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Sep 15 12:24:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b7e0f00

sci-libs/libcifpp: add 7.0.5

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 sci-libs/libcifpp/Manifest              |  2 ++
 sci-libs/libcifpp/libcifpp-7.0.5.ebuild | 39 +++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/sci-libs/libcifpp/Manifest b/sci-libs/libcifpp/Manifest
index 811136e73542..d827c4d056a9 100644
--- a/sci-libs/libcifpp/Manifest
+++ b/sci-libs/libcifpp/Manifest
@@ -2,3 +2,5 @@ DIST libcifpp-5.2.2-components.cif.xz 60754468 BLAKE2B 899120c2d6749fb2da9be94de
 DIST libcifpp-5.2.2.tar.gz 2277238 BLAKE2B a31af09bed7f1dbd6f610e104f0a8439742c863bc58b3680c058cb570a1f93fbcd6d23f29a372aafbb7166a4d86b2590cd24e092b1cc7af25bd09bbe437c93eb SHA512 2bbe9b13fd0ce8f686b5fa9e1675a41cc37c954cd9d80326fcc7c5f4c767be95dd71f6ddc3e841b6102214cd66205303515fa0750683e539f48b038a32a51af9
 DIST libcifpp-7.0.4-components.cif.xz 62591092 BLAKE2B f5fc502cfb0d5c33c2218a02ccbf652c87f0d9d0ac93a8f2eb7c5a7e1e301555cb641f3df815fefbb998ca00f0b04f4fd39de2023dd69ca88de29a814208cd70 SHA512 6f85b84b9e4c63b134dedbc41a6a3ba4a7bec6a66b0ce1fcc9248c06b3e5600b8fe31c5ed72722cb40cb431227f17bb9f485e7b471c84efa313b04adfb161ec2
 DIST libcifpp-7.0.4.tar.gz 2598838 BLAKE2B db6e4b1573d243c511f15ea1fc28867c8a57eb1050c24a59c12a4608b59890ee567569ca4035daead7e74d206a77bb280c56d54ef8b050fe297ccd75cf48ffeb SHA512 6957b3e3ace855c22923391cfd05db40399b6b84fb194ccceaf7b460493ee8576573056296eb06fecf9e6e83c590776fdd5a09f06bb316de61f44468d2a53392
+DIST libcifpp-7.0.5-components.cif.xz 65274864 BLAKE2B e39ff3d84c8a6977eb505dd68f729261e9caea58b254dc547ddc375a6e9501903aca3886b1ab31f7843251bb430f8b7ed2b27735eae60152e5b54149ec1c0f1a SHA512 f6320df7b839f10282d7c86c865597f201ea3a75c9c95cc69b1526062bb0b57bd37562545560aad2c5549937069ff3ea3e580466aaca8a8af1c736a34554ba98
+DIST libcifpp-7.0.5.tar.gz 2648187 BLAKE2B 700cc68efb355a8e32a81b4ad9acbac0ad31760935ff664663a96e82c6ca74307f43a3c4ea378362c7fdb97deb73bb81021e9da3dd1b528d6eae98dec0a6e4aa SHA512 be4600dfaeb7211728d98caa283904407d0314aca52e63038a218b12d88ef331ad8de2a00d0e610781fa6dce5328d602e65fec9c40d4dd132b6aaed9dd0acf2b

diff --git a/sci-libs/libcifpp/libcifpp-7.0.5.ebuild b/sci-libs/libcifpp/libcifpp-7.0.5.ebuild
new file mode 100644
index 000000000000..855615bcc0ce
--- /dev/null
+++ b/sci-libs/libcifpp/libcifpp-7.0.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit cmake
+
+DESCRIPTION="Code to work with mmCIF and PDB files"
+HOMEPAGE="https://github.com/PDB-REDO/libcifpp"
+# Update components file on every bump
+# https://files.wwpdb.org/pub/pdb/data/monomers/components.cif.gz
+SRC_URI="
+	https://github.com/PDB-REDO/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://dev.gentoo.org/~pacho/${PN}/${P}-components.cif.xz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	>=dev-cpp/eigen-3.4.0:3
+	dev-libs/boost:=
+	sys-libs/zlib
+	test? ( dev-cpp/catch:0 )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	cp "${WORKDIR}"/${P}-components.cif rsrc/components.cif || die
+
+	local mycmakeargs=(
+		-DBUILD_SHARED_LIBS=ON
+		-DCIFPP_INSTALL_UPDATE_SCRIPT=OFF
+		-DBUILD_TESTING="$(usex test)"
+	)
+	cmake_src_configure
+}


             reply	other threads:[~2024-09-15 12:25 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-09-15 12:25 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-18 10:06 [gentoo-commits] repo/gentoo:master commit in: sci-libs/libcifpp/ Pacho Ramos
2024-05-18 10:06 Pacho Ramos
2023-10-20 13:14 Pacho Ramos
2023-08-23 14:49 Pacho Ramos
2023-08-23 14:49 Pacho Ramos
2023-08-08  9:20 Pacho Ramos
2023-08-08  9:20 Pacho Ramos
2023-06-08 12:33 Pacho Ramos
2023-06-08 12:33 Pacho Ramos
2023-06-08  9:39 Pacho Ramos
2023-04-25 13:14 Pacho Ramos
2023-04-18 15:08 Pacho Ramos
2023-02-26 15:51 Pacho Ramos
2022-12-04 14:50 Pacho Ramos
2022-12-04 14:50 Pacho Ramos
2022-09-04 13:03 David Seifert
2022-09-04 12:23 David Seifert
2022-03-17 13:36 Jakov Smolić
2021-12-16  8:46 Pacho Ramos
2021-11-16  3:14 Sam James
2021-11-06  9:13 Pacho Ramos
2021-11-06  9:13 Pacho Ramos
2021-10-19 21:04 Pacho Ramos
2021-10-10 20:48 Sam James
2021-10-03 18:45 Pacho Ramos
2021-09-26 10:18 Pacho Ramos
2021-09-02 12:01 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1726403098.8b7e0f00ee1a89944b33fa769be2f457ddbc9c27.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox